# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Compress-Raw-Lzma
Version:	2.074
Release:	1.%{__distinit}%{__distvers}
Summary:	Low-level interface to lzma compression library
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Compress-Raw-Lzma/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/Compress-Raw-Lzma-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Module Build (perl-devel split from main perl package at F-7)
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 6 || 0%{?rhel} > 5
BuildRequires:	perl-devel
%endif
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::Constant)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 5.16
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
BuildRequires:	xz-devel
# Module Runtime
BuildRequires:	perl(AutoLoader)
BuildRequires:	perl(bytes)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(UNIVERSAL)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(File::Path)
BuildRequires:	perl(overload)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(threads::shared)
BuildRequires:	xz
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(XSLoader)
# Built-against version is embedded in module, so we have a strict version dependency
Requires:	xz-libs%{?_isa} = %((pkg-config --modversion liblzma 2>/dev/null || echo 0) | tr -dc '[0-9.]')

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the lzma compression library.
It is used by IO::Compress::Lzma.

%prep
%setup -q -n Compress-Raw-Lzma-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Lzma.3*

%changelog
* Mon Feb 20 2017 Paul Howarth <paul@city-fan.org> - 2.074-1
- Update to 2.074
  - Lzma.xs: comment out unused variables and remove C++-ism (CPAN RT#120272)
  - Make failure when LZMA_VERSION != lzma_version_number more explicit
  - Added interface to LZMA_VERSION and LZMA_VERSION_STRING

* Mon Feb 13 2017 Paul Howarth <paul@city-fan.org> - 2.072-1
- Update to 2.072
  - Fix for Makefile.PL depending on . in @INC (CPAN RT#120084)
  - Use of Compress::Raw::Lzma::RawDecoder failed with large amount of data
    (CPAN RT#105460)
  - AppendOutput for "encode" methods said default was 1; it is actually 0

* Mon Jan  2 2017 Paul Howarth <paul@city-fan.org> - 2.070-2
- Rebuild for xz-5.2.3

* Thu Dec 29 2016 Paul Howarth <paul@city-fan.org> - 2.070-1
- Update to 2.070
  - Fix wrong FLAG_APPEND_OUTPUT logic (CPAN RT#119207)

* Mon Dec 12 2016 Paul Howarth <paul@city-fan.org> - 2.069-4.1
- Rebuild for xz-5.2.2 in EL-7.3 (#1403868)

* Wed Aug 10 2016 Paul Howarth <paul@city-fan.org> - 2.069-4
- BR: perl-generators where available
- Simplify find commands using -empty and -delete

* Tue Sep 29 2015 Paul Howarth <paul@city-fan.org> - 2.069-2
- Rebuild for xz-5.2.2

* Sun Sep 27 2015 Paul Howarth <paul@city-fan.org> - 2.069-1
- Update to 2.069 (no changes)

* Mon Jun 22 2015 Paul Howarth <paul@city-fan.org> - 2.068-5
- Perl 5.22 rebuild

* Fri Feb 27 2015 Paul Howarth <paul@city-fan.org> - 2.068-3
- Rebuild for xz-5.2.1 in Rawhide

* Tue Jan  6 2015 Paul Howarth <paul@city-fan.org> - 2.068-2
- Rebuild for xz-5.2.0 in Rawhide (#1179255)

* Wed Dec 24 2014 Paul Howarth <paul@city-fan.org> - 2.068-1
- Update to 2.068 (no changes)

* Tue Dec  9 2014 Paul Howarth <paul@city-fan.org> - 2.067-1
- Update to 2.067 (no changes)
- Classify buildreqs by usage

* Mon Sep 22 2014 Paul Howarth <paul@city-fan.org> - 2.066-1
- Update to 2.066 (no changes)

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 2.064-4
- Drop %%defattr, redundant since rpm 4.4

* Sun Feb  2 2014 Paul Howarth <paul@city-fan.org> - 2.064-1
- Update to 2.064
  - Handle non-PVs better (CPAN RT#91558)

* Sun Nov  3 2013 Paul Howarth <paul@city-fan.org> - 2.063-1
- Update to 2.063 (no changes)

* Mon Aug 12 2013 Paul Howarth <paul@city-fan.org> - 2.062-1
- Update to 2.062
  - Fix typos (CPAN RT#86418)

* Thu Jul 18 2013 Paul Howarth <paul@city-fan.org> - 2.061-2
- Perl 5.18 rebuild

* Mon May 27 2013 Paul Howarth <paul@city-fan.org> - 2.061-1
- Update to 2.061
  - Silence compiler warning by making 2nd parameter to DispStream a const char*

* Tue Jan  8 2013 Paul Howarth <paul@city-fan.org> - 2.060-1
- Update to 2.060 (no changes)

* Sun Nov 25 2012 Paul Howarth <paul@city-fan.org> - 2.059-1
- Update to 2.059
  - Copy-on-write support

* Tue Nov 13 2012 Paul Howarth <paul@city-fan.org> - 2.058-1
- Update to 2.058 (no changes)

* Sat Nov 10 2012 Paul Howarth <paul@city-fan.org> - 2.057-1
- Update to 2.057
  - Update to ppport.h that includes SvPV_nomg_nolen
  - Added PERL_NO_GET_CONTEXT

* Mon Aug  6 2012 Paul Howarth <paul@city-fan.org> - 2.055-1
- Update to 2.055
  - Fix misuse of magic in API (CPAN RT#78080)

* Thu Jul  5 2012 Paul Howarth <paul@city-fan.org> - 2.052-4
- Perl 5.16 rebuild

* Thu Jul  5 2012 Paul Howarth <paul@city-fan.org> - 2.052-3
- Rebuild for xz 5.1.2alpha in Rawhide etc.

* Tue Jun 19 2012 Paul Howarth <paul@city-fan.org> - 2.052-2
- BR: perl(AutoLoader), perl(constant), perl(Exporter), perl(lib) and
  perl(Test::NoWarnings)
- BR:/R: perl(XSLoader), the module's preferred dynamic object loader

* Sun Apr 29 2012 Paul Howarth <paul@city-fan.org> - 2.052-1
- Update to 2.052 (fix to allow building with C++)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use %%{_fixperms} macro rather than our own chmod incantation
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Drop RPATH hack

* Sat Feb 18 2012 Paul Howarth <paul@city-fan.org> - 2.049-1
- Update to 2.049 (README wasn't included in the distribution)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.048-1
- Update to 2.048 (no changes)

* Sun Jan 29 2012 Paul Howarth <paul@city-fan.org> - 2.047-1
- Update to 2.047 (set minimum Perl version to 5.6)

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.045-1
- Update to 2.045
  - Moved FAQ.pod to IO::Compress

* Sun Dec  4 2011 Paul Howarth <paul@city-fan.org> - 2.044-1
- Update to 2.044
  - Moved FAQ.pod under the lib directory so it can get installed

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 2.043-1
- Update to 2.043 (no changes)

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> - 2.042-1
- Update to 2.042 (no changes)

* Sat Oct 29 2011 Paul Howarth <paul@city-fan.org> - 2.040-1
- Update to 2.040 (no changes)

* Fri Oct 28 2011 Paul Howarth <paul@city-fan.org> - 2.039-1
- Update to 2.039
  - Croak if attempt to freeze/thaw compression object (CPAN RT#69985)
- BR: perl(Carp)

* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> - 2.037-3
- Rebuild against xz 5.1.1alpha in F-16 and Rawhide

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.037-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 2.037-1
- Update to 2.037 (no changes)

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> - 2.036-1
- Update to 2.036
  - A number of changes to facilitate adding LZMA support to
    IO::Compress::Zip : IO::Uncompress::Unzip:
    - Added preset filters Lzma::Filter::Lzma1::Preset and
      Lzma::Filter::Lzma2::Preset
   - Added forZip option to Compress::Raw::Lzma::Encoder
   - Added properties option to Compress::Raw::Lzma::RawDecoder

* Mon May 23 2011 Paul Howarth <paul@city-fan.org> - 2.035-2
- Rebuild for xz 5.0.3

* Sat May  7 2011 Paul Howarth <paul@city-fan.org> - 2.035-1
- Update to 2.035 (no changes)

* Tue May  3 2011 Paul Howarth <paul@city-fan.org> - 2.034-1
- Update to 2.034 (document the change of default MemLimit in 2.033)

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> - 2.033-3
- Rebuild for xz 5.0.2
- Nobody else likes macros for commands

* Wed Feb  9 2011 Paul Howarth <paul@city-fan.org> - 2.033-2
- Add explicit version dependency on xz-libs since the version number built
  against is embedded into the module and can cause failures in users of this
  module if they compare build-time and run-time versions of liblzma

* Tue Jan 11 2011 Paul Howarth <paul@city-fan.org> - 2.033-1
- Update to 2.033 (changed default MemLimit from 128 MB to unlimited)

* Fri Jan  7 2011 Paul Howarth <paul@city-fan.org> - 2.032-1
- Update to 2.032 (no changes)

* Wed Oct 27 2010 Paul Howarth <paul@city-fan.org> - 2.031-1
- Update to 2.031
  - Changed to build with XZ 5.0.0
  - Dropped symbolic constants provided by subblock.h (CPAN RT#62461)
- Drop xz 5.x patch, no longer needed

* Tue Oct 26 2010 Paul Howarth <paul@city-fan.org> - 2.030-2
- Patch out subfilter constants, not supported in xz 5.x (CPAN RT#62461)

* Mon Jul 26 2010 Paul Howarth <paul@city-fan.org> - 2.030-1
- Update to 2.030 (no changes)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 2.029-4
- Rebuild for perl 5.12.1 in Rawhide

* Sat Jun  5 2010 Paul Howarth <paul@city-fan.org> - 2.029-3
- Rebuild: something broken with official F-13 build but I don't know what

* Sat May  8 2010 Paul Howarth <paul@city-fan.org> - 2.029-1
- Update to 2.029 (test harness copes with memory shortage)
- Fix dist tag to work with RHEL6 Beta

* Mon May  3 2010 Paul Howarth <paul@city-fan.org> - 2.028-1
- Update to 2.028
  - Remove 'Persistent' option from  Lzma::Filter::Lzma (CPAN RT#57080)
  - Silence a pile of compiler warnings
- Drop patch for CPAN RT#57080, no longer needed

* Thu Apr 29 2010 Paul Howarth <paul@city-fan.org> - 2.027-1
- Initial RPM version
